<?

include("include/config.php");

$_SESSION['musicPath'] = $Config->get( 'musicPath', 'paths');
$_SESSION['webUrl'] = $Config->get( 'webUrl', 'paths');

function insertPageAnchors($input,$len) {
	// formerly strmaxwordlen()
	// taken from php and hacked by rama
	//
	// count on $len, and insert some shit inplace
	// ... used to set anchors for paging HTMLs
	// helping joystick navigation...
	// or do you know a way to scroll without mouse and keyboard?

	$page = 1;
	$l = 0;
	$output = "";
	for ($i = 0; $i < strlen($input); $i++) {
		$char = substr($input,$i,1);
		if ($char != "<br><br>" && $char != "") { $l++; } else { $l = 0; }
		#$l++;
		$tmp="<a href=\"#\" name=\"page$page\"></a>";
		if ($l == $len) { $l = 0; $output .= $tmp; $page++; }
		$output .= $char;
	}
	return($output);
} 

function getTrackLocationByID($id) {
	global $db;

	$sql = "SELECT location FROM netjuke_tracks WHERE id = '$id'";
	$result = $db->Execute($sql);

	if($result != false) $location=$result->fields[0];
	return $location;
}


function getBasePath($location, $type) {
	$path = dirname($path);

	#if($type=="album") # return directly the basedir for this track
	if($type=="artist") $path = ereg_replace("(music/.*)/(.*)/.*", "\\1/\\2", $path);
	if($type=="label") $path = ereg_replace("(music/.*)/.*/.*", "\\1/\\2", $path);

}

function getInfo($id, $type) {
	// Get the artist info based on its $id
	global $db;


	if($type=='artist') {
		$IMGTYPE="ar";
		$sql = "SELECT ar.name artist, ar.img_src imagen, ar.comments comments, ar.home home
			FROM netjuke_artists ar
			WHERE ar.id='$_GET[id]'";
		$result = $db->Execute($sql);

		if($result != false) {
			$info["artist"]=$result->fields[0];
			#$info["img"]=validateImg($result->fields[1], $IMGTYPE, "home");
			$info["img"]=validateImg($result->fields[1], $IMGTYPE, "home", $result->fields[3]);
			$info["comments"]=nl2br(urldecode($result->fields[2]));
		}
		include "artistpanel.php";

	} elseif($type=='song') {
		$IMGTYPE="tr";
		$sql = "SELECT ar.name artist, al.name album, tr.name song,"
				. " tr.img_src tr_img, al.img_src al_img, tr.comments comments,"
			. " SEC_TO_TIME(tr.time), ((tr.size / 1024) / 1024) + 0.1, la.name, li.name"
				. " FROM netjuke_artists ar, netjuke_albums al, netjuke_tracks tr, netjuke_labels la,"
				. " licenses li"
			. " WHERE ar.id=tr.ar_id AND al.id=tr.al_id AND tr.id='$id'"
				. " AND tr.la_id=la.id AND tr.license=li.id";
			
		$result = $db->Execute($sql);

		if($result != false) {
			$info["artist"]=$result->fields[0];
			$info["album"]=$result->fields[1];
			$info["song"]=$result->fields[2];
			$info["label"]=$result->fields[8];
			$info["license"]=$result->fields[9];
			
			# if there is no image for this track, show album's image
			if($result->fields[5]) {
				$img = $result->fields[3];
			} else {
				$img = $result->fields[4];
				$IMGTYPE="al";
			}
			
			$info["img"]=validateImg($img, $IMGTYPE, "home");
			$info["comments"]=nl2br(urldecode($result->fields[5]));
			$info["comments"]=insertPageAnchors($info["comments"], 500);
			$info["length"]=$result->fields[6];
			$info["size"]=$result->fields[7];
		}

		include "songpanel.php";
		
	} elseif($type=='label') {
		$IMGTYPE="la";
		$sql = "SELECT la.name label, la.comments, la.img_src img
					FROM netjuke_labels la
					WHERE la.id='$id'";
			
		$result = $db->Execute($sql);

		if($result != false) {
			$info["label"]=$result->fields[0];
			$info["comments"]=nl2br(urldecode($result->fields[1]));
			$info["comments"]=insertPageAnchors($info["comments"], 500);
			$info["img"]=validateImg($result->fields[2], $IMGTYPE, "home");
		}

		include "labelpanel.php";
		
	} elseif($type=='album') {
		$IMGTYPE="al";
		$sql = "SELECT al.name album, al.comments, al.img_src img
					FROM netjuke_albums al
					WHERE al.id='$id'";
			
		$result = $db->Execute($sql);

		if($result != false) {
			$info["album"]=$result->fields[0];
			$info["comments"]=nl2br(urldecode($result->fields[1]));
			$info["comments"]=insertPageAnchors($info["comments"], 500);
			$info["img"]=validateImg($result->fields[2], $IMGTYPE, "home");
		}

		include "albumpanel.php";

	} elseif($type=='ReportLabel') {
		$IMGTYPE="ar";
		$sql = "SELECT ar.name artist, ar.img_src imagen, ar.comments comments
			FROM netjuke_artists ar
			WHERE ar.id='$_GET[id]'";
		$result = $db->Execute($sql);

		if($result != false) {
			$info["ReportLabel"]=$result->fields[0];
			$info["img"]=validateImg($result->fields[1], $IMGTYPE, "home");
			$info["comments"]=nl2br(urldecode($result->fields[2]));
		}

		include "ReportLabelPanel_php";
	
	} elseif($type=='ReportTopic') {
		$IMGTYPE="al";
		$sql = "SELECT al.name album, al.comments, al.img_src img
					FROM netjuke_albums al
					WHERE al.id='$id'";
		$result = $db->Execute($sql);

		if($result != false) {
			$info["ReportTopic"]=$result->fields[0];
			$info["comments"]=nl2br(urldecode($result->fields[1]));
			$info["img"]=validateImg($result->fields[2], $IMGTYPE, "home");
		}

		include "ReportTopicPanel.php";
		
	} elseif($type=='report') {
		$IMGTYPE="tr";
		$sql = "SELECT ar.name artist, al.name album, tr.name song,
					tr.img_src tr_img, al.img_src al_img, tr.comments comments
					FROM netjuke_artists ar, netjuke_albums al, netjuke_tracks tr
					WHERE ar.id=tr.ar_id AND al.id=tr.al_id AND tr.id='$id'";
			
		$result = $db->Execute($sql);

		if($result != false) {
			$info["ReportLabel"]=$result->fields[0];
			$info["ReportTopic"]=$result->fields[1];
			$info["ReportTitle"]=$result->fields[2];
			
			# if there is no image for this track, show album's image
			if($result->fields[3]) {
				$img = $result->fields[3];
			} else {
				$img = $result->fields[4];
				$IMGTYPE="al";
			}
			
			$info["img"]=validateImg($img, $IMGTYPE, "home");
			$info["comments"]=nl2br(urldecode($result->fields[5]));
		}

		include "ReportTitlePanel.php";
	}
}

function validateImg($img, $type, $home, $relative=false, $return=true) {
	// Build the webspace base variable
	#$IMGDIR0=$_SERVER["DOCUMENT_ROOT"]."/".$_SERVER["HTTP_HOST"];
	$IMGDIR0="/usr/share/burnstation-server/webspace/img";
	# FIXME this code sucks
	$IMGDIR  = $_SESSION['musicPath'] . "img";
	$newPath = $_SESSION["musicPath"] . $img;
	$urlBase = $_SESSION["webUrl"];
	$default = $urlBase . "/img/default.png";

	$extensions=array("gif", "jpg", "png");

	foreach($extensions as $ext) {
		$tryImage = $home."/image.$ext";
		$homeImage=$_SESSION['musicPath'] . $tryImage;
	
		if(file_exists($homeImage)) $imgUrl=$urlBase . "/media/" . $tryImage;
	}
	print $imgUrl;
	if(!empty($imgUrl)) return($imgUrl);

	// Build the img (old) location based on type on top of webspace base: $IMGDIR
	$IMG=$IMGDIR0."/".$type."/".$img;
	
	if($img == '')
		if($return) return $default;
		else return false;

	// Validate the supposed location, else use default.png
	if(file_exists($IMG)) $imgUrl=$urlBase . "/img/" . $type."/".$img;
	elseif(file_exists($newPath)) $imgUrl = $urlBase . "/" . $img;
	else $imgUrl=$default;

	if($return) 
		if($relative) return $img;
	        else return $imgUrl;
	else return false;
}

function isInPlaylist($song, $playlist) {
	global $db;

	$sql = "SELECT id
		FROM netjuke_plists_tracks pl
		WHERE pl.tr_id='$song' AND pl.pl_id='$playlist'";
	$result = $db->Execute($sql);

	if($result != false) {
		$id=$result->fields[0];
	}

	return $id;
}

?>
