<?php

/***********************************************************************************/
/* CONFIG SECTION                                                                  */
/***********************************************************************************/

$WEB_ROOT = "/usr/share/burnstation-server/webspace";
$CONFFILE = "/etc/burnstation/burnstation.conf";

/***********************************************************************************/
/* END CONFIG SECTION                                                              */
/***********************************************************************************/
/* !!! WARNING !!! DON'T CHANGE THE VALUES BELOW UNLESS YOU KNOW                   */
/*                 WHAT YOU ARE DOING                                              */
/***********************************************************************************/

// inlclude the config file parser class-file
include( 'config.php');

// get value from current config
$DBhost = $Config->get( 'DBhost', 'database');
$DB     = $Config->get( 'DB', 'database');
$DBuser = $Config->get( 'DBuser', 'database');
$DBpass = $Config->get( 'DBpass', 'database');
$DBpass = rawurlencode(base64_encode($DBpass));

$webUrl = $Config->get( 'webUrl', 'paths');

$_SESSION['musicPath'] = $Config->get( 'musicPath', 'paths');

define(  "WEB_ROOT", $WEB_ROOT  );
define(  "SECURITY_MODE", "0.0"  );
define(  "SECURITY_KEY", "Yxxs130VVlFTpSD%G4VmDF5RYTUu3%WF0VV3gxVaV2GjSQMVmZuZZjNUUWuVbdVV8ZUTBYUUkVJwXapWMM3d53YVNwhzSXUTlVnW1jadOUEUtZSWHX0VabFwVtWkxh5mrzxEZZdhQW5RbZl0WKpZZ8FbNVTtBx1WXd1lSkkSJ0SSVFMRVVVZhlVZtlyFVS1R5sUVRxk1G1WECGXp4VTSNIWWkRTFGTxd1VSURhSYR2UY1F1CjRj3VGkTrybTU2ladTReVmxv2RFSkNgq0hVBVYBYU53ch0kZnX5A"  );
define(  "LANG_PACK", "en"  );
define(  "DB_TYPE", "mysql"  );
define(  "DB_HOST", $DBhost  );
define(  "DB_USER", $DBuser  );
define(  "DB_PASS", $DBpass  );
define(  "DB_NAME", $DB  );
define(  "SUPPORTED_FORMATS", "mp3,mp2,ogg,wma,ra,rm"  );
define(  "SUPPORTED_IMG_FORMATS", "jpg,gif,png"  );
define(  "SUPPORTED_TXT_FORMATS", "txt"  );
define(  "STREAM_SRVR", $webUrl  );
define(  "MUSIC_DIR", $_SESSION['musicPath']  );
define(  "DATA_DIR_IMPORT", "var/data/import"  );
define(  "DATA_DIR_BACKUP", "var/data/backup"  );
define(  "ARTWORK_DIR", "var/artwork"  );
define(  "RES_PER_PAGE", "50"  );
define(  "ENABLE_COMMUNITY", "t"  );
define(  "ENABLE_DOWNLOAD", "t"  );
define(  "PROTECT_MEDIA", "f"  );
define(  "REAL_ONLY", "f"  );
define(  "JUKEBOX_PLAYER", ""  );
define(  "JUKEBOX_PLAYER_PATH", ""  );
define(  "JUKEBOX_PLAYER_PID", ""  );
define(  "JUKEBOX_PLIST", ""  );
define(  "RADIO_TYPE", "text"  );
define(  "RADIO_PLIST", ""  );
define(  "RADIO_URL", "http://localhost:8000/burnstation.ogg"  );
define(  "INTERFACE_HEADER", WEB_ROOT . "/netjuke/lib/inc-header.php"  );
define(  "INTERFACE_FOOTER", WEB_ROOT . "/netjuke/lib/inc-footer.php"  );
define(  "CUSTOM_HEADER", WEB_ROOT . "/netjuke/var/html/inc-header.html"  );
define(  "CUSTOM_FOOTER", WEB_ROOT . "/netjuke/var/html/inc-footer.html"  );
define(  "USER_THEMES", "t"  );
define(  "INV_ICN", "f"  );
define(  "DEFAULT_ICON_SET", "mono"  );
define(  "DEFAULT_THEME", "midnight"  );
define(  "EDIT_MEDIA", "t"  );
define(  "BATCH_DOWNLOAD", "t"  );
define(  "BATCH_TIME_LIMIT", "300"  );
define(  "BATCH_SIZE_LIMIT", "200"  );
define(  "DATA_DIR_TRASH", "var/data/trash"  );
define(  "ORGANIZE_FORMAT", "%a/%l/%n-%t.%f"  );
define(  "JUKEBOX_URL", ""  );
define(  "JUKEBOX_PASS", ""  );
define(  "ENABLE_XML", "t"  );

?>
