<?php
#print_r($_REQUEST); die;

// defines if this script requires to be logged in
if(isset($_REQUEST['uploads_handler'])) define( "NJ_PRIVATE", false );
else define( "NJ_PRIVATE", true );
define( "DEBUG", true );

#print "NJ_PRIVATE: ".NJ_PRIVATE;
#print_r($_REQUEST);
#die;

##################################################

# Call common libraries
require_once('../lib/inc-admin.php');
require_once(FS_PATH."/etc/locale/".LANG_PACK."/inc-admin_tabfile-recursive.php");

require_once(FS_PATH."/lib/getid3/getid3.php");

// Attempt to buy us some time
set_time_limit (0);
ensure_defined_REQUEST('interactive');
ensure_defined_REQUEST('do');
ensure_defined_REQUEST('verbose_scan');
ensure_defined_REQUEST('direct_import', 1);

##################################################

$section = "sysadmin";
include (INTERFACE_HEADER);

if (strlen($_REQUEST['scan_location']) == 0) $base_dir = MUSIC_DIR;
else $base_dir = $_REQUEST['scan_location'];
$_REQUEST['scan_dir']=$base_dir;

function FindInfoDirs($base_dir) {
  // find the info/ subdir

  print "reading infodirs from: $base_dir<br>";
  list($keepers) = RecursiveExtraInfoFinderUnix($base_dir, "/usr/bin/find");

  if(DEBUG) {
    print "<pre>FOUND DIRECTORIES\n"; print_r($keepers); print "</pre>";
    print "<hr>";
  }

  $i = 0;
  foreach ($keepers as $infodir) {
	$dir = ereg_replace($base_dir, "", $infodir);
	$infodirs = ereg_replace("/info", "", $dir);
	$temp_dir = explode('/',$infodirs);
	#print "<pre>infoDIRS\n"; print_r($temp_dir); print "</pre>";
	#print "<hr>";

	//preg_match_all("/a/", $dir, $matches);
	//print "<pre>"; print_r($temp_dir); print "</pre>";
	$temp_dir_count = count($temp_dir);
	if($temp_dir_count == 2) {
		$_info[$i]["type"] = "label";
		$_info[$i]["name"] = $temp_dir[$temp_dir_count -1];
		$_info[$i]["path"] = $base_dir. $dir;
	}
	if($temp_dir_count == 3) {
		$_info[$i]["type"] = "artist";
		$_info[$i]["name"] = $temp_dir[$temp_dir_count -1];
		$_info[$i]["path"] = $base_dir. $dir;
	}
	if($temp_dir_count == 4) {
		$_info[$i]["type"] = "album";
		$_info[$i]["name"] = $temp_dir[$temp_dir_count -1];
		$_info[$i]["path"] = $base_dir. $dir;
	}
	//print "<pre>"; print_r($_info); print "</pre>";
	
	$i++;
  }
  if(DEBUG) {
    print "<pre>FindInfoDirs() returns\n"; print_r($_info); print "</pre>";
    print "<hr>";
  }

  return array($_info);
}

function GetAllRecordsByName($table) {
  // this will search for all labels, artists or albums
  GLOBAL $dbconn;

  flush();
  # FIXME to return the entry ID as the array key
  $sql="SELECT id, name FROM netjuke_$table";
  //print "<pre>\nSQL: $sql </pre>";
  $dbrs = $dbconn->Execute($sql);
  $entries = array();

  while (!$dbrs->EOF) {
    //$entries[] = rawurldecode(str_replace('//', '/', MUSIC_DIR.'/'.$dbrs->fields[0]));
    $entries[$dbrs->fields[0]] = StripAndUpper($dbrs->fields[1]);
    $dbrs->MoveNext();
  }

  return $entries;

}

if($_REQUEST["importinfo"] == 1) { // START Import extra info
        print "<b>IMPORTING EXTRA INFO AND IMAGES</b>";
	
	list($foundInfoDirs) = FindInfoDirs($base_dir);
#	print "<pre>foundInfoDirs"; print_r($foundInfoDirs); print "</pre>";


 $all_labels = GetAllRecordsByName("labels");
 $all_artists = GetAllRecordsByName("artists");
 $all_albums = GetAllRecordsByName("albums");

 function GetIDbyName($name, $table) {
     global $dbconn;
     if($table == "label") $table = "netjuke_labels";
     if($table == "artist") $table = "netjuke_artists";
     if($table == "album") $table = "netjuke_albums";
     $sql = "SELECT id FROM $table WHERE name LIKE \"%$name%\"";
     $dbrs = $dbconn->Execute( $sql );
     if ($dbrs->RecordCount() > 0) {
      while (!$dbrs->EOF) {
        print $dbrs->fields[0];
        $dbrs->MoveNext ();
      }
     }
 }

  if(DEBUG) {
   #print "<pre>all labels"; print_r($all_labels); print "</pre>";
   #print "<pre>all artists"; print_r($all_artists); print "</pre>";
   #print "<pre>all albums"; print_r($all_albums); print "</pre>";
  }
 
 $supported_img_formats = explode(',',SUPPORTED_IMG_FORMATS);
 $supported_txt_formats = explode(',',SUPPORTED_TXT_FORMATS);
  for($i = 0 ; $i <= count($foundInfoDirs) ; $i++) {
  #foreach ($foundInfoDirs as $infodirs) {
    $infodirs = $foundInfoDirs[$i];
	print "<hr>";
	print "<pre>infodir entry: "; print_r($infodirs); print "</pre>"; // DEBUG
	if($infodirs["type"]=="label") { $type = "label"; $table = $all_labels; }
	if($infodirs["type"]=="artist") { $type = "artist"; $table = $all_artists; }
	if($infodirs["type"]=="album") { $type = "album"; $table = $all_albums; }
	if(!empty($infodirs["name"])) { // matched a label
	print_r($table); print "(NAME : ".$infodirs["name"] . " / TYPE: $type)";
		if($id = array_search(StripAndUpper($infodirs["name"]), $table)) {
			print "[----] Found info/ directory for $type > " . $infodirs["name"] . "<br>";
			$d = dir($infodirs["path"]);
			while (false !== ($entry = $d->read())) {
				if($entry != ".." && $entry != ".") {
					#echo "<p>ENTRY-".$entry."-<p>\n";
					
					//if(in_array($file_ext, $supported_formats)) 
					
					foreach ($supported_img_formats as $img_format) {
							#print "<pre>IMG FORMAT = " . $img_format . "<-- </pre>";
						$check_format = "/.$img_format/";
						preg_match($check_format, strtolower($entry), $file_ext);
						#print "<pre>File_ext = " . print_r($file_ext) . "<-- </pre>";
						if($file_ext) {
							print "[------>] IMAGE: Found supported! -> " . $entry . "<br>";
							$imgpath = $infodirs["path"] . "/" . $entry;
							print "[------>] Path: " . $imgpath . "<br>";
							$imgpath = ereg_replace($base_dir, "", $imgpath);
						
							Update_RecordField($infodirs["type"], $id, $imgpath, "img_src");
						}

					foreach ($supported_txt_formats as $txt_format) {
						$check_format = "/.$txt_format/";
						preg_match($check_format, strtolower($entry), $file_ext);
						if( $file_ext[0] && ($entry !=$prev_entry) ) {
							print "[------>] EXTRA INFO: Found supported! -> " . $entry . "<br>";
							$txtpath = $infodirs["path"] . "/" . $entry;
							print "[------>] Path: " . $txtpath . "<br>";
							$txtinfo = rawurlencode(file_get_contents($txtpath));
							
							Update_RecordField($infodirs["type"], $id, $txtinfo, "comments");
						}
						$prev_entry=$entry;
					}
						
						
				}
			}
		}
		$d->close();
	# print "<pre>infodir entry"; print_r($infodirs); print "</pre>"; // DEBUG
	}
	# else print "<br> ". $infodirs["type"]  ." > " . $infodirs["name"] . " <-- not matched in array<p>"; # DEBUG
 }



	
 }

} // END Import extra info

?>

<hr>

<div align=center>
<table width='650' border=0 cellspacing=1 cellpadding=3 class='border'>
<tr>
  <td class='header' nowrap>
    <table border=0 cellpadding=0 cellspacing=0 width=100%><tr>
      <td class='header'><B><?php echo  TFREC_HEADER.' ('.str_replace(',',', ',SUPPORTED_FORMATS).')' ?></B></td>
      <td align='right' class='header' nowrap>
        <input type="button" value="<?php echo  $_REQUEST['interactive'] ? TFREC_HEADER_AUTO : TFREC_HEADER_INTER; ?>" onclick="self.location.href='<?php echo $_REQUEST['interactive'] ? '?' : '?interactive=1'; ?>'" class="btn_header">
      </td>
    </tr></table>
</tr>
<tr>
  <td class='content'>

<?php

if($_REQUEST["import"] == true) {
	$_REQUEST['do']="process";
	#$_REQUEST['scan_dir']=
	$_REQUEST['recursive_scan']=1;
	$_REQUEST['auto_queue']=1;
	$_REQUEST['verbose_scan']=1;
	$_REQUEST['direct_import']=1;
}

if ($_REQUEST['do'] == 'process') {

	if(isset($_REQUEST['uploads_handler'])) $scan_location=dirname($_REQUEST['scan_location']);

  // make sure the data dir is writable or exit;
  if (! $_REQUEST['direct_import']) CheckDataDirPerm();

  if (strlen($scan_location) == 0) $scan_location = MUSIC_DIR . "/burnstation-incoming/";
  //print "Importing contents from: " . $_REQUEST["scan_dir"] . "<br>\n";

  if ((strlen($scan_location) > 0) && (is_dir($scan_location))) {

    if (substr($scan_location,-1) != '/') $scan_location .= '/';

    if (substr($scan_location,0,strlen(MUSIC_DIR)) == MUSIC_DIR) {

      list($keepers) = RecursiveAudioFileFinder( str_replace('//','/',$scan_location) );

      if (@count($keepers) > 0) {

        ProcessFoundAudioFiles($keepers);

        if (! $_REQUEST['direct_import']) {
          echo '<b>&raquo; <a href="tabfile-import.php">'.TFREC_PROCEED."</a></b><br><br>\n";
        }

      } else {

        echo "<b>&raquo;</b> ".TFREC_ERROR_NOFILE."<br><br>";
        echo "<b>&raquo;</b> <a href=\"" . WEB_PATH . "/admin/do_autoimport.php?importinfo=1&scan_location=$base_dir\">GO HERE TO IMPORT IMAGES AND EXTRA INFO</a><br><br>";

      }

    } else {

      echo "<b>&raquo;</b> ".TFREC_ERROR_NOMUDIR_1."<br><br>";

    }

  } else {

    echo "<b>&raquo;</b> ".TFREC_ERROR_NODIR."<br><br>";
    echo "GOT: $_REQUEST[scan_location]";

  }

}

?>

  </td>
</tr>
</form>
</table>
</div>

<?php

include (INTERFACE_FOOTER);

##################################################

function GetExistingTracks() {

  GLOBAL $dbconn;

  flush();

  $dbrs = $dbconn->Execute("SELECT location FROM netjuke_tracks WHERE location not like '%://%'");
  $tracks = array();

  while (!$dbrs->EOF) {
    $tracks[] = rawurldecode(str_replace('//', '/', MUSIC_DIR.'/'.$dbrs->fields[0]));
    $dbrs->MoveNext();
  }

  return $tracks;

}

##################################################

function RecursiveAudioFileFinder($path) {

  GLOBAL $dbconn;

  if ( ( isset ($_SERVER['PATH_TRANSLATED']) &&   (substr($_SERVER['PATH_TRANSLATED'],1,1) == ':') )
       || (substr($_SERVER['SCRIPT_FILENAME'],1,1) == ':') ) {

    // we're on windows, don't even try whereis

    $keepers = RecursiveAudioFileFinderOther($path,0);

  } else {

    $dbrs = $dbconn->Execute('select count(id) from netjuke_tracks');
    $tr_cnt = $dbrs->fields(0);

    if ($tr_cnt == 0) {

      // first time import, true recursive is faster
      $keepers = RecursiveAudioFileFinderOther($path,0);

    } else {

      @exec('whereis find', $temp);

      if (!@is_array($temp)) {

        // @exec() returned error or not found
        $keepers = RecursiveAudioFileFinderOther($path,0);

      } else {

        $find = trim($temp[0]);

        $find_array = explode(' ',$find);

        if (count($find_array) == 1) {
          $find = $find_array[0];
        } else {
          $find = $find_array[1];
        }

        if ( !@file_exists($find) ) {

          // still can't find "find"!
          $keepers = RecursiveAudioFileFinderOther($path,0);

        } else {

          // we can and it is appropriate to use the "find" software
          list($keepers) = RecursiveAudioFileFinderUnix($path,$find);

        }

      }

    }

  }

  return array($keepers);

}

##################################################

function RecursiveExtraInfoFinderUnix($path,$find) {
  exec($find.' '.escapeshellarg($path).' -follow -type d -iname \'info\'', $current);

  // helps avoid timeouts for long operations
  flush();

  return array($current);
}

##################################################

function RecursiveAudioFileFinderUnix($path,$find) {

  // returns all the tracks from the db
  $previous = GetExistingTracks();

  // helps avoid timeouts for long operations
  flush();

  // slash cleanup
  if (substr($path,-1) == '/') $path = rtrim($path, '/') ;

  // use find to get a list off files with dir tree
  exec($find.' '.escapeshellarg($path).' -follow -name \'*.*\'', $current);

  // helps avoid timeouts for long operations
  flush();

  // compare the two arrays to find the files not present in the db
  $diffs = array_diff($current, $previous);

  // get aray of supported formats
  $supported_formats = explode(',',SUPPORTED_FORMATS);

  $keepers = array();
  
  // helps avoid timeouts for long operations
  flush();

  // keep only the files we are interested in
  $i=0;
  foreach ($diffs as $path) {
    $temp_vals = explode('.',$path);
    $file_ext = strtolower(rtrim(array_pop($temp_vals)));
    if (strlen($file_ext) == 0) $file_ext = '|||'; // makes sure file_ext str is never empty
    
    // check we are not in "." or ".." and no hidden files "/."
    if (   (substr($path, 0, 1) != '.')
    	&& (!strstr($path,'/.'))
        && (in_array($file_ext, $supported_formats))
       )
    {
      $location = str_replace( '//', '/', str_replace(MUSIC_DIR,'',$path) );
      if (substr($location,0,1) == '/') $location = substr($location,1);
      $keepers[$location] = str_replace( '//', '/', $path );
    }
    $i++;
  }
  //return $keepers;
  return array($keepers);

}

##################################################

function RecursiveAudioFileFinderOther($sPath,$oPath=0) {

  GLOBAL $dbconn;

  // translate windows \\ to unix /
  $sPath = separatorCleanup($sPath);
  $oPath = separatorCleanup($oPath);

  // this function is now only used whe we need
  // a truly recursive tool, or if the unix software
  // "find" cannot be found

  $supported_formats = explode(',',SUPPORTED_FORMATS);

  $keepers = array();

  // Save the original path value to be stripped later
  if ($oPath === 0) $oPath = $sPath;

  // Load Directory Into Array

  if (!@$handle=opendir($sPath)) {

    echo "<b>&raquo;</b> Can't read content of $sPath <br>";

    return;

  }

  $retVal = array();

  while ($file = readdir($handle)) {
    if (substr($file,0,1) != '.') $retVal[] = $file;
  }

  //Clean up and sort
  closedir($handle);

  // Process the directory and go to recursive mode
  // in the children directories
  if (count($retVal) > 0) {

    foreach ($retVal as $key => $val) {

      if ($val != "." && $val != "..") {

        $path = str_replace("//","/",$sPath.'/'.$val);

        if (is_file($path)) {

          $temp_vals = explode('.',$val);
          $file_ext = strtolower(rtrim(array_pop($temp_vals)));

          if (    (substr($path, 0, 1) != '.')
               && (!strstr($path,'/.'))
               && (in_array($file_ext, $supported_formats)) ) {

            $location = '';
            $location = str_replace(MUSIC_DIR,'',$path);

            if ($location != $path) {

              if (substr($location,0,1) == '/') $location = substr($location,1);

              $dbrs = $dbconn->Execute("/* RecursiveAudioFileFinderOther() */ select id from netjuke_tracks where location = '".specialUrlEncode($location)."'");

              if ($dbrs->RecordCount() < 1) {

                $keepers[$location] = $path;

              }

              echo ' ';

            } else {

              echo "<b>&raquo;</b> $location ".TFREC_ERROR_NOMUDIR_2."<br>";

            }

          }

        } elseif (is_dir($path)) {

          if (isset($_REQUEST['recursive_scan'])) {

            $keepers = array_merge( $keepers, RecursiveAudioFileFinderOther($path."/",$oPath) );

          }

        }

      }

    }

    flush();

  }

  echo chr(10);

  return $keepers;

}

##################################################

function StripAndUpper($str) {
	// receives a string and strips spaces, "-" and "_" and converts to uppercase
	$str = str_replace(" ", "", $str);
	$str = str_replace("/", "", $str);
	$str = str_replace("_", "", $str);
	$str = str_replace("-", "", $str);
	$str = str_replace("'", "", $str);
	$str = str_replace(":", "", $str);
	$str = str_replace("!", "", $str);
	$str = str_replace(".", "", $str);
	$str = str_replace(")", "", $str);
	$str = str_replace("(", "", $str);
	$str = str_replace("[", "", $str);
	$str = str_replace("]", "", $str);
	$str = strtoupper($str);

	return $str;
}

##################################################

function  ProcessFoundAudioFiles($keepers) {

  $queued_cnt = $error_cnt = 0;

  $error_rows = array();

  $col_names = array( TFREC_COLS_TR
                    , TFREC_COLS_AR
                    , TFREC_COLS_AL
                    , TFREC_COLS_GE
                    , TFREC_COLS_LA
                    , TFREC_COLS_FS
                    , TFREC_COLS_TI
                    , TFREC_COLS_TN
                    , TFREC_COLS_TC
                    , TFREC_COLS_YR
                    , TFREC_COLS_DT
                    , TFREC_COLS_DA
                    , TFREC_COLS_BR
                    , TFREC_COLS_SR
                    , TFREC_COLS_VA
                    , TFREC_COLS_FK
                    , TFREC_COLS_CT
                    , TFREC_COLS_LC );

  if ($_REQUEST['direct_import']) {

    $ar_cnt = 0;
    $al_cnt = 0;
    $ge_cnt = 0;
    $la_cnt = 0;

    $track_cache = array();

  } else {

    $rows = join("\t",$col_names)."\n";

  }

  if ($_REQUEST['verbose_scan']) {
    echo "<h3>1) WAIT FOR THIS PAGE TO FINISH LOADING</h3>\n";
    echo "<h3>2) GO TO THE BOTTOM OF THE FOLLOWING TABLE AND FOLLOW STEP 3</h3>\n";
    echo "<table border=0 cellspacing=1 cellpadding=3 class='border'>\n";
    echo "<tr class='header'><td>Status</td><td>".join("</td><td>", $col_names)."</td></tr>\n";
  }

  $count = count ($keepers);

  $i = 0;
  foreach ($keepers as $location => $path) {

    if ( ($temp_id3 = ReadFileID3 ($location, $path)) != -1) {

			// rawurlencode comments if we output to a text file
      // to cope w/ potential tabs and new lines
      if (! $_REQUEST['direct_import']) rawurlencode($temp_id3["comments"]);

      if (    ( strlen($temp_id3["name"]) == 0 )
           && ( strlen($temp_id3["artist"]) == 0 )
           && ( strlen($temp_id3["album"]) == 0 )
           && ( strlen($temp_id3["genre"]) == 0)
           && ( strlen($temp_id3["label"]) == 0)  ) {

        // if we do not have track, artist, album, label and
        // genre name(s), queue the file in the dynamic form.

        $error_rows[$path] = $temp_id3;

        if ($_REQUEST['verbose_scan']) {
          echo "<tr class='error-row'><td>Error: </td><td>".join("</td><td>", $temp_id3)."</td></tr>\n";
        }

        $error_cnt++;

      } else {

        // success, queue it for import

        if ($_REQUEST['direct_import']) {

          list($duplicate,$track_cache,$status,$ar_cnt,$al_cnt,$ge_cnt,$la_cnt) = ImportTrackData(array_values($temp_id3),$track_cache,$ar_cnt,$al_cnt,$ge_cnt,$la_cnt);
	
          if ($duplicate == false) $queued_cnt++;

        } else {

          $rows .= join("\t",$temp_id3)."\n";

          $status = '|';

          $queued_cnt++;

        }

        if ($_REQUEST['verbose_scan']) {

          echo "<tr class='content'><td>Queued: </td><td>".join("</td><td>", $temp_id3)."</td></tr>\n";

          if ($queued_cnt % 25 == 0) flush();

        } else {

          echo $status;

          if ($queued_cnt % 50 == 0) {

            $done = intval(($queued_cnt / $count) * 100);
            echo " &nbsp; &raquo; &nbsp; $queued_cnt (".$done."%)<br>\n";

            flush();

          }

        }

      }

    }

  $i++;
  }

  if ($_REQUEST['verbose_scan']) {
    echo "</table><br>";
    echo "<h3><a href=\"".WEB_PATH."/admin/do_autoimport.php?importinfo=1\"> 3) >>> GO HERE TO IMPORT EXTRA INFO AND IMAGES</a></h3>\n";
  } else {
    echo '<br>';
  }

  if ($queued_cnt > 0) {

    if ($_REQUEST['direct_import']) {

      track_cache_batch('increment', $track_cache);

      echo '<br>';
      echo TFREC_INSERT_1." ".$queued_cnt." ".TFREC_INSERT_2.", $ar_cnt ".TFREC_INSERT_3.", $al_cnt ".TFREC_INSERT_4.", $ge_cnt ".TFREC_INSERT_5.", $la_cnt".TFREC_INSERT_6_.".<br>";

    } else {

      $new_file = SaveNewImportFile(FS_PATH."/".DATA_DIR_IMPORT,$rows);

      $new_file = str_replace(FS_PATH, WEB_PATH, $new_file);

      echo "$queued_cnt ".TFREC_SUCCESS_1."<br>\n".urldecode($_REQUEST['scan_location'])."<br>\n";
      echo "<b>&raquo;</b> <a href='$new_file' target='_blank'>".TFREC_VIEW."</a><br>\n";

    }

  }

  if ((isset($_REQUEST['auto_queue'])) && (count($error_rows) > 0)) {

    $auto_queue_cnt = 0;

    if ($_REQUEST['direct_import']) {

      $ar_cnt = 0;
      $al_cnt = 0;
      $ge_cnt = 0;
      $la_cnt = 0;

      $track_cache = array();

    } else {

      $error_rows_str = join("\t",$col_names)."\n";

    }

    foreach ($error_rows as $path => $columns) {

      $error_row = FixMP3Info($path, $columns);

      if ($_REQUEST['direct_import']) {

        list($duplicate,$track_cache,$status,$ar_cnt,$al_cnt,$ge_cnt,$la_cnt) = ImportTrackData(array_values($error_row),$track_cache,$ar_cnt,$al_cnt,$ge_cnt,$la_cnt);

        if ($duplicate == false) $auto_queue_cnt++;

      } else {

        $error_rows_str .= join("\t", $error_row)."\n";

        $status = '|';

        $auto_queue_cnt++;

      }

      if (!isset($_REQUEST['verbose_scan'])) {

        echo $status;

        if ($auto_queue_cnt % 50 == 0) {

          echo " &nbsp; &raquo; &nbsp; $auto_queue_cnt<br>\n";

          flush();

        }

      }

    }

    if ($_REQUEST['direct_import']) {

      track_cache_batch('increment', $track_cache);

      echo '<br>';
      echo TFREC_INSERT_1." ".$auto_queue_cnt." ".TFREC_INSERT_2.", $ar_cnt ".TFREC_INSERT_3.", $al_cnt ".TFREC_INSERT_4.", $ge_cnt ".TFREC_INSERT_5.", $la_cnt ".TFREC_INSERT_6.".<br>";

    } else {

      $new_errored_file = SaveNewImportFile(FS_PATH."/".DATA_DIR_IMPORT,$error_rows_str);

      $new_errored_file = str_replace(FS_PATH, WEB_PATH, $new_errored_file);

      if (!isset($_REQUEST['verbose_scan'])) echo "<br>";
      echo "$auto_queue_cnt ".TFREC_SUCCESS_1."<br>\n".urldecode($_REQUEST['scan_location'])."<br>\n";
      echo "<b>&raquo;</b> <a href='$new_errored_file' target='_blank'>".TFREC_VIEW."</a><br><br>\n";

    }

    $error_cnt = 0;

  }

  if (($queued_cnt > 0) || (count($error_rows) > 0)) {
    echo "<br>\n";
  }

  if ($error_cnt > 0) {

    echo TFREC_FORM_HELP_1." $error_cnt ".TFREC_FORM_HELP_2."<br>";
    echo TFREC_FORM_HELP_3."<br>";
    if ($error_cnt > RES_PER_PAGE) echo TFREC_FORM_HELP_4."<br>";
    echo "<br>";
    echo "  </td>";
    echo "</tr>";
    echo "</form>";
    echo "</table>";

    echo '<br>';
    echo "<table width='530' border='0' cellspacing='1' cellpadding='3' class='border'>";
    echo "<tr class='header'><td><b>".TFREC_COLS_TR."</b></td><td><b>".TFREC_COLS_AR."</b></td><td><b>".TFREC_COLS_AL."</b></td><td><b>".TFREC_COLS_GE."</b></td><td><b>#</b></td></tr>";
    echo "<form name='EditForm' action='".$_SERVER['PHP_SELF']."' method='post'>\n";
    echo "<input type='hidden' name='do' value='edit'>\n";
    echo "<tr class='content'><td colspan='7' align='center'><input type='checkbox' name='direct_import' CHECKED>".TFREC_OPTION_4."</td></tr>\n";

    $cnt = 0;

    foreach ($error_rows as $path => $columns) {

      $error_row = FixMP3Info($path, $columns);

      echo "<tr class='content'><td colspan='7'><b>&raquo;</b> ".TFREC_COLS_LC.": $path <input type='hidden' name='location_new[]' value='$path'></td></tr>\n";
      echo "<tr class='content'><td><input type='text' name='name_new[]' value=\"".$error_row["name"]."\" size='15' maxlength='100' class=input_content></td>";
      echo "<td><input type='text' name='artist_new[]' value=\"".$error_row["artist"]."\" size='15' maxlength='100' class=input_content></td>\n";
      echo "<td><input type='text' name='album_new[]' value=\"".$error_row["album"]."\" size='15' maxlength='100' class=input_content></td>\n";
      echo "<td><input type='text' name='label_new[]' value=\"".$error_row["label"]."\" size='15' maxlength='100' class=input_content></td>\n";
      echo "<td><input type='text' name='genre_new[]' value=\"".$error_row["genre"]."\" size='15' maxlength='100' class=input_content></td>\n";
      echo "<td><input type='text' name='tr_num_New[]' value=\"".$error_row["tr_num"]."\" size='2' maxlength='3' class=input_content></td>\n";

      foreach ($columns as $index => $value) {
        echo "<input type='hidden' name='".str_replace(" ", "_", $index)."[]' value=\"$value\">\n";
      }

      $cnt++;

      if ($cnt >= RES_PER_PAGE) break;

    }

    echo "<tr class='content'><td colspan='7' align='center'><input type='submit' name='submit' value='".TFREC_FORM_BTN."' class='btn_content'></td></tr>\n";
    echo "</form>\n";
    echo "</table>\n";
    echo '<br><br>';

  } else {

    // echo TFREC_SUCCESS_2;
    // echo '<br><br>';

  }

  return $queued_cnt;

}

##################################################

/*
$sql = "UPDATE netjuke_tracks SET report = 1 WHERE location LIKE 'reports%'";
if (mysql_query($sql)) {
	print "ERROR: Can't set report flag";
} else {
	print "OK: Set report flag successful!";
}
*/

?>
